Bug 124710 - [NEW PORT] audio/audiere: High-level audio API
Summary: [NEW PORT] audio/audiere: High-level audio API
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-18 13:20 UTC by Dmitry Marakasov
Modified: 2008-06-23 11:25 UTC (History)
0 users

See Also:


Attachments
audiere-1.9.4.shar (4.92 KB, text/plain)
2008-06-18 13:20 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2008-06-18 13:20:04 UTC
Note: this PR depends on ports/124502 (move devel/dumb to audio/)
---
Audiere is a high-level audio API. It can play Ogg Vorbis, MP3,
FLAC, uncompressed WAV, AIFF, MOD, S3M, XM, and IT files. For audio
output, Audiere supports DirectSound or WinMM in Windows, OSS on
Linux and Cygwin, and SGI AL on IRIX.

Audiere is open source and licensed under the LGPL. This means that
you may freely use Audiere in commercial products, as long as you
do not modify the source code. If you do modify Audiere and release
a product that uses your modifications, you must release your changes
to the code under the LGPL as well.

Audiere is portable. It is tested on Windows, Linux-i386, Cygwin,
and IRIX with at least three major compilers. Most of Audiere is
endian-independent, so I expect it would work with few modifications
on other architectures.

WWW: http://audiere.sourceforge.net/
Comment 1 Edwin Groothuis freebsd_committer 2008-06-18 13:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-06-19 14:17:53 UTC
Responsible Changed
From-To: miwi->amdmi3

Dmitry is now committer.
Comment 3 dfilter service freebsd_committer 2008-06-23 11:10:14 UTC
amdmi3      2008-06-23 10:10:09 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/audiere        Makefile distinfo pkg-descr pkg-plist 
    audio/audiere/files  patch-src-speexfile-speexfile.cpp 
  Log:
  Audiere is a high-level audio API. It can play Ogg Vorbis, MP3,
  FLAC, uncompressed WAV, AIFF, MOD, S3M, XM, and IT files. For audio
  output, Audiere supports DirectSound or WinMM in Windows, OSS on
  Linux and Cygwin, and SGI AL on IRIX.
  
  Audiere is open source and licensed under the LGPL. This means that
  you may freely use Audiere in commercial products, as long as you
  do not modify the source code. If you do modify Audiere and release
  a product that uses your modifications, you must release your changes
  to the code under the LGPL as well.
  
  Audiere is portable. It is tested on Windows, Linux-i386, Cygwin,
  and IRIX with at least three major compilers. Most of Audiere is
  endian-independent, so I expect it would work with few modifications
  on other architectures.
  
  WWW: http://audiere.sourceforge.net/
  
  PR:             ports/124710
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.966     +1 -0      ports/audio/Makefile
  1.1       +86 -0     ports/audio/audiere/Makefile (new)
  1.1       +3 -0      ports/audio/audiere/distinfo (new)
  1.1       +11 -0     ports/audio/audiere/files/patch-src-speexfile-speexfile.cpp (new)
  1.1       +17 -0     ports/audio/audiere/pkg-descr (new)
  1.1       +6 -0      ports/audio/audiere/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2008-06-23 11:25:08 UTC
State Changed
From-To: open->closed

New port added. Thanks!